---
title: "Introduction générale"
date: "2024-09-17"
---

# La hotline

Nom                    Mél                               Bureau
--------------------   ------------------------------    --------------------
Kevin Heirich          kevin.heirich@hesge.ch            A403
Quentin Leblanc        quentin.leblanc@hesge.ch          A403
Damian Boquete         damian.boquete@hesge.ch           B403
Michaël El Kharroubi   michael.el-kharroubi@hesge.ch     A403
Paul Albuquerque       paul.albuquerque@hesge.ch         B410
Orestis Malaspinas     orestis.malaspinas@hesge.ch       A401
--------------------   ------------------------------    --------------------

Utilisez le libre service (pas encore d'horaire):

# Communication

Tout le contenu de ce qu'on raconte se trouve sur cyberlearn:

- Algorithmes et structures de données
  - <https://cyberlearn.hes-so.ch/course/view.php?id=7276>
  - Clé d'inscription: algo_2024_25

- Programmation Sequentielle en C
  - <https://cyberlearn.hes-so.ch/course/view.php?id=7282>
  - Clé d'inscription: prog_seq_2024_25
* Espace de discussion 
  [Matrix](https://matrix.to/#/!aKYVlcclmPGYXQFxAK:matrix.org?via=matrix.org), 
  installez [element.io](https://element.io).

# Organisation du cours (1/3)

## But: Illustration des concepts vus au cours d'algorithmique

- Salle B119 pour la "théorie" (présentation langage et TPs).
- Salles A404-A406-A432-A433 pour la "pratique".

## Le bâton

- Présence en cours **obligatoire** (13h-16h45 tous les mardis).
- P. Albuquerque note les présences.

## La carotte

- Rare cours d'informatique de première.
- Travaux pratiques amusants et stimulants.

# Organisation du cours (2/3)

- Travaux pratiques à faire en C.
- Chaque séance est un nouveau travail pratique (typiquement d'une durée d'une 
  séance).
- Vous aurez à utiliser `git` sur <https://gitedu.hesge.ch/>.
- **Utilisez uniquement Linux** (dual boot sur vos portables).
- Les jeux vidéos sont pas une excuse pour pas avoir de linux[^1].

[^1]: [80 Percent of Steam's Top 100 Games Run 'Nearly Flawlessly' on Linux](https://www.tomshardware.com/news/80-percent-of-steam-games-run-on-linux).

# Organisation du cours (3/3)

- Les cours "théoriques" seront disponible en replay sur <https://bbb.hesge.ch/rooms/wkm-a1q-7d1-rjb/join>.
- Il y a un certain nombre de ressources se trouvant sur <https://malaspinas.academy>.
- Mon bureau est toujours ouvert (tapez *assez fort* sur la porte).
- N'hésitez pas à utiliser le salon *Element*...

# Évaluations

## 1er semestre deux examens sur machine

- Seul·e devant votre ordinateur.
- Avec à disposition une page rect-verso de notes manuscrites.

## 2e semestre deux examens sur machine

- Seul·e devant votre ordinateur.
- Avec à disposition une page rect-verso de notes manuscrites.

# Sondage: expérience de programmation

## [Sondage: expérience de linux](https://cyberlearn.hes-so.ch/mod/evoting/view.php?id=501943)

## [Sondage: expérience de programmation](https://cyberlearn.hes-so.ch/mod/evoting/view.php?id=501940)

**Installez un lecteur de QR code s'il-vous-plaît.**

# Install Party

* Ubuntu 24 LTS
* `gcc`, `clang`, `make`, `docker` en mode rootless, `codium` (ou `neovim`)

# Questions?

- N'hésitez pas à poser des *questions*, nous sommes là pour ça! [^3] [^4]
- Ne restez pas coincés pendant des jours sur un problème.
- Utilisez le *libre-service*!
- N'hésitez pas à faire des *retours*: *négatifs* ou *positifs* (évaluations des cours, ou au cours de discussions).
- Il est très tentant de faire les TPs en groupe, mais il est **primordial** de programmer vous-mêmes (c'est comme apprendre une langue)!

[^3]: Surtout les assistants.
[^4]: Chaque étudiant·e·s a un quota de 1 question par semestre pour les professeurs.


